## ostree-deployment ostree-deployment |

## Functions

guint | ostree_deployment_hash ()
gboolean | ostree_deployment_equal ()
OstreeDeployment * | ostree_deployment_new ()
int | ostree_deployment_get_index ()
const char * | ostree_deployment_get_osname ()
int | ostree_deployment_get_deployserial ()
const char * | ostree_deployment_get_csum ()
const char * | ostree_deployment_get_bootcsum ()
int | ostree_deployment_get_bootserial ()
OstreeBootconfigParser * | ostree_deployment_get_bootconfig ()
GKeyFile * | ostree_deployment_get_origin ()
char * | ostree_deployment_get_origin_relpath ()
OstreeDeploymentUnlockedState | ostree_deployment_get_unlocked ()
void | ostree_deployment_set_index ()
void | ostree_deployment_set_bootserial ()
void | ostree_deployment_set_bootconfig ()
void | ostree_deployment_set_origin ()
OstreeDeployment * | ostree_deployment_clone ()
const char * | ostree_deployment_unlocked_state_to_string ()

## Types and Values

| OstreeDeployment

## Description

## Functions

### ostree_deployment_hash ()

    guint
    ostree_deployment_hash (gconstpointer v);

### ostree_deployment_equal ()

    gboolean
    ostree_deployment_equal (gconstpointer ap,
                             gconstpointer bp);

#### Parameters

ap | A deployment. | [type OstreeDeployment]
bp | A deployment. | [type OstreeDeployment]

#### Returns

`TRUE` if deployments have the same osname, csum, and deployserial

### ostree_deployment_new ()

    OstreeDeployment *
    ostree_deployment_new (int index,
                           const char *osname,
                           const char *csum,
                           int deployserial,
                           const char *bootcsum,
                           int bootserial);

### ostree_deployment_get_index ()

    int
    ostree_deployment_get_index (OstreeDeployment *self);

### ostree_deployment_get_osname ()

    const char *
    ostree_deployment_get_osname (OstreeDeployment *self);

### ostree_deployment_get_deployserial ()

    int
    ostree_deployment_get_deployserial (OstreeDeployment *self);

### ostree_deployment_get_csum ()

    const char *
    ostree_deployment_get_csum (OstreeDeployment *self);

### ostree_deployment_get_bootcsum ()

    const char *
    ostree_deployment_get_bootcsum (OstreeDeployment *self);

### ostree_deployment_get_bootserial ()

    int
    ostree_deployment_get_bootserial (OstreeDeployment *self);

### ostree_deployment_get_bootconfig ()

    OstreeBootconfigParser *
    ostree_deployment_get_bootconfig (OstreeDeployment *self);

#### Parameters

self | Deployment |

#### Returns

Boot configuration.

[transfer none]

### ostree_deployment_get_origin ()

    GKeyFile *
    ostree_deployment_get_origin (OstreeDeployment *self);

#### Parameters

self | Deployment |

#### Returns

Origin.

[transfer none]

### ostree_deployment_get_origin_relpath ()

    char *
    ostree_deployment_get_origin_relpath (OstreeDeployment *self);

Note this function only returns a *relative* path - if you want to access, it, you must either use fd-relative api such as `openat()`, or concatenate it with the full `ostree_sysroot_get_path()`.

#### Parameters

self | A deployment |

#### Returns

Path to deployment root directory, relative to sysroot.

[transfer full]

### ostree_deployment_get_unlocked ()

    OstreeDeploymentUnlockedState
    ostree_deployment_get_unlocked (OstreeDeployment *self);

### ostree_deployment_set_index ()

    void
    ostree_deployment_set_index (OstreeDeployment *self,
                                 int index);

### ostree_deployment_set_bootserial ()

    void
    ostree_deployment_set_bootserial (OstreeDeployment *self,
                                      int index);

### ostree_deployment_set_bootconfig ()

    void
    ostree_deployment_set_bootconfig (OstreeDeployment *self,
                                      OstreeBootconfigParser *bootconfig);

### ostree_deployment_set_origin ()

    void
    ostree_deployment_set_origin (OstreeDeployment *self,
                                  GKeyFile *origin);

### ostree_deployment_clone ()

    OstreeDeployment *
    ostree_deployment_clone (OstreeDeployment *self);

#### Parameters

self | Deployment |

#### Returns

New deep copy of `self` .

[transfer full]

### ostree_deployment_unlocked_state_to_string ()

    const char *
    ostree_deployment_unlocked_state_to_string
                                   (OstreeDeploymentUnlockedState state);

## Types and Values

### OstreeDeployment

    typedef struct {
      GObject       parent_instance;

      int index;
      char *osname;
      char *csum;
      int deployserial;
      char *bootcsum;
      int bootserial;
      OstreeBootconfigParser *bootconfig;
      GKeyFile *origin;
      OstreeDeploymentUnlockedState unlocked;
    } OstreeDeployment;

#### Members

int `index`; | Global offset |
char *`osname`; |  |
char *`csum`; | OSTree checksum of tree |
int `deployserial`; | How many times this particular csum appears in deployment list |
char *`bootcsum`; | Checksum of kernel+initramfs |
int `bootserial`; | An integer assigned to this tree per its ${bootcsum} |
OstreeBootconfigParser *`bootconfig`; | Bootloader configuration |
GKeyFile *`origin`; | How to construct an upgraded version of this tree |
OstreeDeploymentUnlockedState `unlocked`; | The unlocked state |